Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic.movecountperstep
Class MoveCountPerStepSingleStatistic

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.SingleStatistic<MoveCountPerStepStatisticPoint>
          org.optaplanner.benchmark.impl.statistic.movecountperstep.MoveCountPerStepSingleStatistic

    public class MoveCountPerStepSingleStatistic

extends SingleStatistic<MoveCountPerStepStatisticPoint>

Field Summary

Fields inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`singleBenchmarkResult, statisticType`

Constructor Summary
`MoveCountPerStepSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)`

Method Summary
`void` | `close(Solver solver)`
`protected MoveCountPerStepStatisticPoint` | `createPointFromCsvLine(ScoreDefinition scoreDefinition, List<String> csvLine)`
`protected String` | `getCsvHeader()`
`List<MoveCountPerStepStatisticPoint>` | `getPointList()`
`void` | `open(Solver solver)`
`void` | `setPointList(List<MoveCountPerStepStatisticPoint> pointList)`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`getCsvFile, getCsvFilePath, getStatisticType, readCsvStatisticFile, writeCsvStatisticFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MoveCountPerStepSingleStatistic

    public MoveCountPerStepSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)

Method Detail

### getPointList

    public List<MoveCountPerStepStatisticPoint> getPointList()

  Specified by:
    `getPointList` in class `SingleStatistic<MoveCountPerStepStatisticPoint>`

### setPointList

    public void setPointList(List<MoveCountPerStepStatisticPoint> pointList)

  Specified by:
    `setPointList` in class `SingleStatistic<MoveCountPerStepStatisticPoint>`

### open

    public void open(Solver solver)

  Specified by:
    `open` in class `SingleStatistic<MoveCountPerStepStatisticPoint>`

### close

    public void close(Solver solver)

  Specified by:
    `close` in class `SingleStatistic<MoveCountPerStepStatisticPoint>`

### getCsvHeader

    protected String getCsvHeader()

  Specified by:
    `getCsvHeader` in class `SingleStatistic<MoveCountPerStepStatisticPoint>`

### createPointFromCsvLine

    protected MoveCountPerStepStatisticPoint createPointFromCsvLine(ScoreDefinition scoreDefinition,
                                                                    List<String> csvLine)

  Specified by:
    `createPointFromCsvLine` in class `SingleStatistic<MoveCountPerStepStatisticPoint>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.